/*
 * CONTRAT DE LICENCE DE LOGICIEL LIBRE CeCILL-B
 * https://cecill.info/licences/Licence_CeCILL-B_V1-fr.html
 */
package fr.unistra.sil.erp.back.controller;

import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * Interface for designing the retrieval of articles.
 *
 * @author BEAUVAIS ANTOINE
 */
public interface IRetrieveInfoController {

    /**
     * Retrieves the list of items.
     *
     * @param cat the optional category to filter.
     * @return the list of items as a JSON response/
     * @throws Exception if the request cannot be served.
     */
    ResponseEntity<Object> retrieveInfo(
            @RequestParam(value = "category", defaultValue = "") String cat
    ) throws Exception;
}
