package fr.unistra.sil.erp.back.model;

import java.math.BigDecimal;
import java.util.Date;

public class RegistryInfo {
    /**
     * The transaction's type.
     */
    private final int transactionType;

    /**
     * The date and time for this transaction.
     */
    private final String date;

    /**
     * The ID of the associated account.
     */
    private final int accountId;

    /**
     * The amount of money, if it's a debit.
     */
    private final BigDecimal debit;

    /**
     * The amount of money, if it's a credit.
     */
    private final BigDecimal credit;

    /**
     * Arbitrary remarks. Optional.
     */
    private final String remarks;

    public RegistryInfo(
            int transactionType,
            String date,
            int accountId,
            BigDecimal debit,
            BigDecimal credit,
            String remarks
    ) {
        this.transactionType = transactionType;
        this.date = date;
        this.accountId = accountId;
        this.debit = debit;
        this.credit = credit;
        this.remarks = remarks;
    }

    public int getTransactionType() {
        return transactionType;
    }

    public String getDate() {
        return date;
    }

    public int getAccountId() {
        return accountId;
    }

    public BigDecimal getDebit() {
        return debit;
    }

    public BigDecimal getCredit() {
        return credit;
    }

    public String getRemarks() {
        return remarks;
    }
}
